package domain


type AlibabaWdkSkuChannelskuUpdateApiResults struct {
    /*
        单个商品返回结果集合     */
    Models  *[]AlibabaWdkSkuChannelskuUpdateApiResult `json:"models,omitempty" `

    /*
        errCode     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        errMsg     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSkuChannelskuUpdateApiResults) SetModels(v []AlibabaWdkSkuChannelskuUpdateApiResult) *AlibabaWdkSkuChannelskuUpdateApiResults {
    s.Models = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateApiResults) SetErrCode(v string) *AlibabaWdkSkuChannelskuUpdateApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateApiResults) SetErrMsg(v string) *AlibabaWdkSkuChannelskuUpdateApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateApiResults) SetSuccess(v bool) *AlibabaWdkSkuChannelskuUpdateApiResults {
    s.Success = &v
    return s
}
